Fetch GW Kube Config

Fetch GW Kube Config
Fetch Gateway Kube Config

Use this endpoint to fetch Gateway kube config file. Returns a YAML formatted kubeconfig file.
Authorized Roles : SYSTEM_ADMIN or INFRA_ADMIN or DSM_ADMIN or DSM_USER

Request
URI
GET
https://{api_host}/provider/gateway-kubeconfig
COPY
Header Parameters
string
Authorization
Required

Bearer token for authentication (e.g., "Bearer <token>" obtained from /provider/session)

string
Accept
Required

Must be application/vnd.vmware.dms-v1+octet-stream


Authentication
This operation uses the following authentication methods.
Responses
200

Successfully retrieved the kubeconfig YAML file. The response body contains the complete kubeconfig file in YAML format that can be used to access the DSM gateway.

"apiVersion: v1\nkind: Config\nclusters:\n- cluster:\n    certificate-authority-data: LS0tLS1CRUdJTi...\n    server: https://dsm.vmware.com\n  name: default\ncontexts:\n- context:\n    cluster: default\n    user: default\n  name: default\ncurrent-context: default\nusers:\n- name: default\n  user:\n    token: eyJhbGciOiJSUzI1NiIsImtpZCI6Ii..."

400

Bad Request

Returns ErrorDto of type(s) application/vnd.vmware.dms-v1+json
{
    "message": "string",
    "errorCodes": {
        "type": "string"
    }
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/provider/gateway-kubeconfig